------------
-- HUNTER --
------------
if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "HUNTER") then
    return;
end

Watcher.classDefaults["HUNTER"] = {
    ["newDefaultDate"] = 1414261425;
    ["priorityLists"] = {
        [1] = {
            ["spellConditions"] = {
                [7] = {
                    ["filterSetId"] = 14;
                    ["spellId"] = 120360;
                    ["name"] = "Barrage";
                };
                [1] = {
                    ["filterSetId"] = 30;
                    ["spellId"] = 53351;
                    ["name"] = "Kill Shot";
                };
                [2] = {
                    ["filterSetId"] = 2;
                    ["spellId"] = 120679;
                    ["name"] = "Dire Beast";
                };
                [4] = {
                    ["filterSetId"] = 4;
                    ["spellId"] = 19574;
                    ["name"] = "Bestial Wrath";
                };
                [8] = {
                    ["filterSetId"] = 3;
                    ["spellId"] = 117050;
                    ["name"] = "Glaive Toss";
                };
                [9] = {
                    ["filterSetId"] = 22;
                    ["spellId"] = 82692;
                    ["name"] = "Focus Fire";
                };
                [5] = {
                    ["filterSetId"] = 6;
                    ["spellId"] = 34026;
                    ["name"] = "Kill Command";
                };
                [10] = {
                    ["filterSetId"] = 31;
                    ["spellId"] = 3044;
                    ["name"] = "Arcane Shot";
                };
                [3] = {
                    ["filterSetId"] = 19;
                    ["spellId"] = 131894;
                    ["name"] = "A Murder of Crows";
                };
                [6] = {
                    ["filterSetId"] = 29;
                    ["spellId"] = 77767;
                    ["name"] = "Cobra Shot";
                };
                [12] = {
                    ["filterSetId"] = 12;
                    ["spellId"] = 77767;
                    ["name"] = "Cobra Shot";
                };
                [11] = {
                    ["filterSetId"] = 24;
                    ["spellId"] = 3044;
                    ["name"] = "Arcane Shot";
                };
            };
            ["name"] = "Beast Mastery";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["specNum"] = 1;
                    ["filterType"] = "spec";
                };
            };
        };
        [2] = {
            ["name"] = "Marksmanship";
            ["spellConditions"] = {
                [7] = {
                    ["filterSetId"] = 3;
                    ["spellId"] = 117050;
                    ["name"] = "Glaive Toss";
                };
                [1] = {
                    ["filterSetId"] = 30;
                    ["spellId"] = 53351;
                    ["name"] = "Kill Shot";
                };
                [2] = {
                    ["filterSetId"] = 17;
                    ["spellId"] = 53209;
                    ["name"] = "Chimaera Shot";
                };
                [4] = {
                    ["filterSetId"] = 37;
                    ["spellId"] = 19434;
                    ["name"] = "Aimed Shot";
                };
                [8] = {
                    ["filterSetId"] = 2;
                    ["spellId"] = 120679;
                    ["name"] = "Dire Beast";
                };
                [9] = {
                    ["filterSetId"] = 16;
                    ["spellId"] = 19434;
                    ["name"] = "Aimed Shot";
                };
                [5] = {
                    ["filterSetId"] = 28;
                    ["spellId"] = 56641;
                    ["name"] = "Steady Shot";
                };
                [10] = {
                    ["filterSetId"] = 21;
                    ["spellId"] = 56641;
                    ["name"] = "Steady Shot";
                };
                [3] = {
                    ["filterSetId"] = 19;
                    ["spellId"] = 131894;
                    ["name"] = "A Murder of Crows";
                };
                [6] = {
                    ["filterSetId"] = 14;
                    ["spellId"] = 120360;
                    ["name"] = "Barrage";
                };
            };
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["specNum"] = 2;
                    ["filterType"] = "spec";
                };
            };
        };
        [3] = {
            ["name"] = "Survival";
            ["spellConditions"] = {
                [7] = {
                    ["filterSetId"] = 3;
                    ["spellId"] = 117050;
                    ["name"] = "Glaive Toss";
                };
                [1] = {
                    ["filterSetId"] = 1;
                    ["spellId"] = 53301;
                    ["name"] = "Explosive Shot";
                };
                [2] = {
                    ["filterSetId"] = 8;
                    ["spellId"] = 3674;
                    ["name"] = "Black Arrow";
                };
                [4] = {
                    ["filterSetId"] = 35;
                    ["spellId"] = 3044;
                    ["name"] = "Arcane Shot";
                };
                [8] = {
                    ["filterSetId"] = 2;
                    ["spellId"] = 120679;
                    ["name"] = "Dire Beast";
                };
                [9] = {
                    ["filterSetId"] = 23;
                    ["spellId"] = 3044;
                    ["name"] = "Arcane Shot";
                };
                [5] = {
                    ["filterSetId"] = 29;
                    ["spellId"] = 77767;
                    ["name"] = "Cobra Shot";
                };
                [10] = {
                    ["filterSetId"] = 12;
                    ["spellId"] = 77767;
                    ["name"] = "Cobra Shot";
                };
                [3] = {
                    ["filterSetId"] = 19;
                    ["spellId"] = 131894;
                    ["name"] = "A Murder of Crows";
                };
                [6] = {
                    ["filterSetId"] = 14;
                    ["spellId"] = 120360;
                    ["name"] = "Barrage";
                };
            };
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["specNum"] = 3;
                    ["filterType"] = "spec";
                };
            };
        };
    };
    ["version"] = 1;
    ["spells"] = {
        [34026] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [6] = true;
            };
        };
        [19434] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [37] = true;
                [16] = true;
            };
        };
        [19574] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [4] = true;
            };
        };
        [77767] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [33] = true;
                [29] = true;
                [12] = true;
            };
        };
        [117050] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [3] = true;
            };
        };
        [120679] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [2] = true;
            };
        };
        [53351] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [30] = true;
            };
        };
        [3674] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [8] = true;
            };
        };
        [131894] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [19] = true;
            };
        };
        [120360] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [14] = true;
            };
        };
        [82692] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [20] = true;
                [22] = true;
            };
        };
        [53301] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [1] = true;
            };
        };
        [53209] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [17] = true;
            };
        };
        [121818] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [27] = true;
            };
        };
        [3045] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [18] = true;
            };
        };
        [3044] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [24] = true;
                [31] = true;
                [23] = true;
                [9] = true;
                [35] = true;
            };
        };
        [56641] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [21] = true;
                [28] = true;
                [34] = true;
            };
        };
    };
    ["filterSets"] = {
        [1] = {
            ["spellId"] = 53301;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [2] = {
            ["name"] = "Usable";
            ["spellId"] = 120679;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [4] = {
            ["name"] = "Usable";
            ["spellId"] = 19574;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [8] = {
            ["spellId"] = 3674;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = true;
                    ["filterType"] = "usability";
                };
            };
        };
        [16] = {
            ["spellId"] = 19434;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [17] = {
            ["spellId"] = 53209;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = true;
                    ["filterType"] = "usability";
                };
            };
        };
        [9] = {
            ["name"] = "Usable";
            ["spellId"] = 3044;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [18] = {
            ["spellId"] = 3045;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [19] = {
            ["name"] = "Usable";
            ["spellId"] = 131894;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = true;
                };
            };
        };
        [20] = {
            ["spellId"] = 82692;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [21] = {
            ["spellId"] = 56641;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [22] = {
            ["spellId"] = 82692;
            ["name"] = "5 stacks Frenzy";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Frenzy";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["trackStacks"] = true;
                    ["stackCount"] = 5;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [3] = {
            ["name"] = "Usable";
            ["spellId"] = 117050;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [6] = {
            ["name"] = "Usable";
            ["spellId"] = 34026;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = true;
                };
            };
        };
        [12] = {
            ["name"] = "Usable";
            ["spellId"] = 77767;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [24] = {
            ["name"] = "Focus Dump (BM)";
            ["settings"] = {};
            ["spellId"] = 3044;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 60;
                    ["relationship"] = "ABOVE";
                    ["filterType"] = "power";
                };
            };
        };
        [31] = {
            ["name"] = "Focus Dump (BM) With Bestial Wrath";
            ["settings"] = {};
            ["spellId"] = 3044;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 30;
                    ["relationship"] = "ABOVE";
                    ["filterType"] = "power";
                };
                [3] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Bestial Wrath";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [23] = {
            ["name"] = "Focus Dump (Survival)";
            ["settings"] = {};
            ["spellId"] = 3044;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 60;
                    ["relationship"] = "ABOVE";
                    ["filterType"] = "power";
                };
            };
        };
        [30] = {
            ["name"] = "Usable";
            ["spellId"] = 53351;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [35] = {
            ["spellId"] = 3044;
            ["name"] = "Refresh Serpent Sting";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Serpent Sting";
                    ["filterType"] = "auras";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["ifExists"] = false;
                    ["unit"] = "target";
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [34] = {
            ["name"] = "Need Focus";
            ["spellId"] = 56641;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 40;
                    ["relationship"] = "BELOW";
                    ["filterType"] = "power";
                };
            };
        };
        [27] = {
            ["name"] = "Usable";
            ["spellId"] = 121818;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [14] = {
            ["spellId"] = 120360;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = true;
                    ["filterType"] = "usability";
                };
            };
        };
        [28] = {
            ["spellId"] = 56641;
            ["name"] = "Talent - Steady Focus";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Steady Focus";
                    ["filterType"] = "auras";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["ifExists"] = false;
                    ["unit"] = "player";
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 2;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
                [4] = {
                    ["threshold"] = 65;
                    ["relationship"] = "BELOW";
                    ["filterType"] = "power";
                };
                [3] = {
                    ["talentNum"] = 19352;
                    ["invert"] = false;
                    ["filterType"] = "talent";
                };
            };
        };
        [33] = {
            ["name"] = "Need Focus";
            ["spellId"] = 77767;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["threshold"] = 40;
                    ["relationship"] = "BELOW";
                    ["filterType"] = "power";
                };
            };
        };
        [29] = {
            ["name"] = "Talent - Steady Focus";
            ["spellId"] = 77767;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Steady Focus";
                    ["ifExists"] = false;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 2;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
                [4] = {
                    ["threshold"] = 65;
                    ["relationship"] = "BELOW";
                    ["filterType"] = "power";
                };
                [3] = {
                    ["talentNum"] = 19352;
                    ["invert"] = false;
                    ["filterType"] = "talent";
                };
            };
        };
        [37] = {
            ["spellId"] = 19434;
            ["name"] = "Talent - Thrill of the Hunt";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Thrill of the Hunt";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 3;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
                [3] = {
                    ["talentNum"] = 19365;
                    ["invert"] = false;
                    ["filterType"] = "talent";
                };
            };
        };
    };
};
